# PSF-LoginServer - master - net.psforever.objects.loadouts.InfantryLoadout
PSF - LoginServer - master - net.psforever.objects.loadouts.InfantryLoadout
Keywords: PSF LoginServer master net.psforever.objects.loadouts.InfantryLoadout

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package loadouts
  Definition Classes
    objects
- EquipmentLoadout
- InfantryLoadout
- Loadout
- SquadLoadout
- SquadPositionLoadout
- VehicleLoadout

o

net.psforever.objects.loadouts

# InfantryLoadout 

###
Companion class InfantryLoadout

#### object InfantryLoadout extends Serializable

Source
  InfantryLoadout.scala

Linear Supertypes
Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InfantryLoadout
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def DetermineSubtype(player: Player): Int

   The sub-type of the player's uniform.

   The sub-type of the player's uniform. Applicable to mechanized assault units, mainly. The subtype is reported as a number but indicates the specialization - anti-infantry, ani-vehicular, anti-air - of the suit as indicated by the arm weapon(s).

   player

     the player

   returns

     the numeric subtype

5.  def DetermineSubtypeA(suit: types.ExoSuitType.Value, weapon: Option[Equipment]): Int

   The sub-type of the player's uniform.

   The sub-type of the player's uniform. Applicable to mechanized assault units, mainly. The subtype is reported as a number but indicates the specialization - anti-infantry, ani-vehicular, anti-air - of the suit as indicated by the arm weapon(s).

   suit

     the player's uniform; the target is for MAX armors

   weapon

     any weapon the player may have it his "first pistol slot;" to a MAX, that is its "primary weapon slot"

   returns

     the numeric subtype

6.  def DetermineSubtypeB(suit: types.ExoSuitType.Value, subtype: Int): Int

   The sub-type of the player's uniform, as used in `FavoritesMessage`.
   The values for a specific `MAX` type is only known by knowing the subtype.

   The sub-type of the player's uniform, as used in `FavoritesMessage`.
   The values for a specific `MAX` type is only known by knowing the subtype.

   suit

     the player's uniform

   subtype

     the mechanized assault exo-suit subtype as determined by their arm weapons

   returns

     the numeric subtype

7.  def DetermineSubtypeC(subtype: Int): Set[Certification]

   Assuming the exo-suit is a mechanized assault type, use the subtype to determine what certifications would be valid for permitted access to that specific exo-suit.

   Assuming the exo-suit is a mechanized assault type, use the subtype to determine what certifications would be valid for permitted access to that specific exo-suit. The "C" does not stand for "certification."

   subtype

     the numeric subtype

   returns

     a `Set` of all certifications that would grant access to the mechanized assault exo-suit subtype

   See also

     `CertificationType`

8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped